Skip to main content
POST
/
accounts
/
{account_number}
/
holds
Error
A valid request URL is required to generate request examples
{
  "status": "00",
  "message": "The process was completed successfully",
  "data": {
    "reference": "HLD123456789"
  }
}
{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}
{
"status": "02",
"message": "The authentication failed",
"data": {}
}
{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}
{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}
{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

connection-id
string

Connection ID for the target bank

idempotency-key
string
required

Unique key to ensure idempotency of the request

signature
string
required

SHA-256 signature of client_secret + ";" + idempotency-key

Path Parameters

account_number
string
required

Account number in NUBAN format

Body

application/json
reference
string
required

A unique internal reference to the specific transaction

Example:

"HLD123456789"

amount
number
required

Transaction amount to be held

Example:

500

narration
string
required

A description stating the reason the funds where held

Example:

"Loan repayment hold"

hold_start_timestamp
string<date>
required

The time when the API Provider should commence holding the funds

Example:

"2024-03-20"

hold_end_timestamp
string<date>
required

The date when the API Provider should release the funds from customer account if no payment is made against the held funds

Example:

"2024-04-20"

status
enum<string>
required

The status of the hold

Available options:
ACTIVE,
INACTIVE
Example:

"ACTIVE"

custom_properties
object[]

Response

Hold placed successfully

status
string
required
Example:

"00"

message
string
required
Example:

"The process was completed successfully"

data
object
required